import React from "react";
import {useConfig} from "../../ConfigProvider";
import {ReactQueryDevtools} from "@tanstack/react-query-devtools";

export const ControlledReactQueryDevtools = () => {
    const config = useConfig();
    if(config.DEBUG)
        return (<ReactQueryDevtools />);

    return (<></>);

};

export default ControlledReactQueryDevtools;